/*
**      LinkSoundView.h
**      LinkPalette, Beta Release
**      Copyright (c) 1993, Target Development.  All rights reserved. 
*/

#import <appkit/appkit.h>
#import <dbkit/dbkit.h>
#import "LinkSound.h"

@interface LinkSoundView:View
{
	LinkSound *linkSound;
	id module;
	id delegate;
	float backgroundGray;
}

- (NXDragOperation)draggingEntered:(id <NXDraggingInfo>)sender;
- (NXDragOperation)draggingUpdated:(id <NXDraggingInfo>)sender;
- (BOOL)performDragOperation:(id <NXDraggingInfo>)sender;

- initFrame:(const NXRect *)newFrame;
- awake;
- read:(NXTypedStream *)typedStream;
- write:(NXTypedStream *)typedStream;
- free;

- linkSound;

- (float)backgroundGray;
- setBackgroundGray:(float)aFloat;

- delegate;
- setDelegate:anObject;
- module;
- setModule:aModule;

@end

