/*
** SoundController.h
**
** You may freely copy, distribute, and reuse the code in this example.
** Target Development disclaims any warranty of any kind, expressed or 
** implied, as to it's fitness for any particular use.
**
*/

#import <appkit/appkit.h>
#import <dbkit/dbkit.h>
#import <soundkit/Sound.h>
#import "LinkEnums.h" 
#import "LinkSound.h" 
#import "LinkSoundView.h" 
#import "Controller.h"

@interface SoundController:Object
{
	id soundWell;
	id controller;
	id soundModule;

	id defaultSound;	

}

- newSound:sender;
- useSound:sender;
- loadSoundFile:sender;
- loadSoundFromPanel:sender;
- saveSoundFile:sender;
- saveSoundFromPanel:sender;

@end
